## org.w3c.jigadm.gui
Class ServerBrowser

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Canvas
                  |
                  +--org.w3c.tools.widgets.TreeBrowser
                        |
                        +--org.w3c.jigadm.gui.ServerBrowser

public class ServerBrowser
extends TreeBrowser
implements NodeHandler

See Also:
  Serialized Form

Field Summary
`static boolean` | `debug`

Fields inherited from class org.w3c.tools.widgets.TreeBrowser
`fontHeight, items, MULTIPLE, SCROLLBARS_ALWAYS, SCROLLBARS_ASNEEDED, selection, selectionPolicy, SINGLE, topItem, visibleItemCount`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`ServerBrowser(AdminContext ac, TreeListener tl)`
`ServerBrowser(java.awt.Frame frame, TreeListener tl)`

Method Summary
`protected void` | `dispose(boolean Ok)`
`protected void` | `errorPopup(java.lang.String name, java.lang.Exception ex)`
`protected boolean` | `getLock()` gets a lock to avoid adding node while removing other nodes it sets also the Cursor to WAIT_CURSOR
`protected RemoteResourceWrapper` | `getResources(RemoteResourceWrapper rw, java.lang.String name)`
`RemoteResourceWrapper` | `getRootWrapper()` give the Root Resource of the browser
`void` | `insertNode(RemoteResourceWrapper father, RemoteResourceWrapper son, java.lang.String name)`
`boolean` | `isDirectory(TreeBrowser browser, TreeNode nd)`
`static void` | `main(java.lang.String[] args)`
`void` | `notifyCollapse(TreeBrowser browser, TreeNode node)` Handles Collapse notifications we simply collapse the given node and repaint the browser.
`void` | `notifyExecute(TreeBrowser browser, TreeNode node)` Handles Select notifications.
`void` | `notifyExpand(TreeBrowser browser, TreeNode nd)`
`void` | `notifyExpander(TreeBrowser browser, TreeNode nd)` Handles Expand notifications if the node is a directory, we list its content and insert the directories and files in the browser.
`void` | `notifySelect(TreeBrowser browser, TreeNode nd)`
`protected void` | `open(AdminContext ac)`
`void` | `popupDialog(java.lang.String name)`
`void` | `removeNode(RemoteResourceWrapper rw)`
`void` | `renameNode(RemoteResourceWrapper rw, java.lang.String label)`
`void` | `setCursor(int cursor)`
`protected void` | `unlock()` release the lock and sets the Cursor to the default

Methods inherited from class org.w3c.tools.widgets.TreeBrowser
`adjustmentValueChanged, collapse, getNode, getParent, getPreferredSize, getSelectionPolicy, initialize, insert, itemAt, paint, remove, removeBranch, select, selection, setHorizontalScrollbar, setScrollbarDisplayPolicy, setSelectionBackgroudColor, setSelectionFontColor, setSelectionPolicy, setVerticalScrollbar, unselect, unselectAll, update`

Methods inherited from class java.awt.Canvas
`addNotify`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, deliverEvent, disable, disableEvents, dispatchEvent, doLayout, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getParent, getPeer, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, paramString, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, processComponentEvent, processEvent, processFocusEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### debug

    public static final boolean debug

Constructor Detail

### ServerBrowser

    public ServerBrowser(java.awt.Frame frame,
                         TreeListener tl)

### ServerBrowser

    public ServerBrowser(AdminContext ac,
                         TreeListener tl)

Method Detail

### errorPopup

    protected void errorPopup(java.lang.String name,
                              java.lang.Exception ex)

### getLock

    protected boolean getLock()

  gets a lock to avoid adding node while removing other nodes it sets also the Cursor to WAIT_CURSOR

### unlock

    protected void unlock()

  release the lock and sets the Cursor to the default

### dispose

    protected void dispose(boolean Ok)

### popupDialog

    public void popupDialog(java.lang.String name)

### getRootWrapper

    public RemoteResourceWrapper getRootWrapper()

  give the Root Resource of the browser

### renameNode

    public void renameNode(RemoteResourceWrapper rw,
                           java.lang.String label)

### removeNode

    public void removeNode(RemoteResourceWrapper rw)

### insertNode

    public void insertNode(RemoteResourceWrapper father,
                           RemoteResourceWrapper son,
                           java.lang.String name)

### getResources

    protected RemoteResourceWrapper getResources(RemoteResourceWrapper rw,
                                                 java.lang.String name)

### setCursor

    public void setCursor(int cursor)

### open

    protected void open(AdminContext ac)

### notifySelect

    public void notifySelect(TreeBrowser browser,
                             TreeNode nd)

  Specified by:
    notifySelect in interface NodeHandler

### notifyExecute

    public void notifyExecute(TreeBrowser browser,
                              TreeNode node)

  Handles Select notifications. we simply select the node and redraw the browser.
  Specified by:
    notifyExecute in interface NodeHandler

### notifyExpand

    public void notifyExpand(TreeBrowser browser,
                             TreeNode nd)

  Specified by:
    notifyExpand in interface NodeHandler

### notifyExpander

    public void notifyExpander(TreeBrowser browser,
                               TreeNode nd)

  Handles Expand notifications if the node is a directory, we list its content and insert the directories and files in the browser.

### isDirectory

    public boolean isDirectory(TreeBrowser browser,
                               TreeNode nd)

  Specified by:
    isDirectory in interface NodeHandler

### notifyCollapse

    public void notifyCollapse(TreeBrowser browser,
                               TreeNode node)

  Handles Collapse notifications we simply collapse the given node and repaint the browser.
  Specified by:
    notifyCollapse in interface NodeHandler

### main

    public static void main(java.lang.String[] args)